/**
 * @syntax String literals take the forms: Or, using the String global object directly:
 * @returns {String}
 */
function String() {
}
/**
 * @syntax sub()
 * @deprecated ECMAScript6
 * @returns {String}
 */
String.prototype.sub = function() {};

/**
 * @syntax italics()
 * @deprecated ECMAScript6
 * @returns {String}
 */
String.prototype.italics = function() {};

/**
 * @syntax link(hrefAttribute)
 * @param {String} hrefAttribute
 * @returns {String}
 */
String.prototype.link = function(hrefAttribute) {};

/**
 * @syntax fontcolor(color)
 * @param {String} color
 * @deprecated ECMAScript6
 * @returns {String}
 */
String.prototype.fontcolor = function(color) {};

/**
 * @syntax indexOf(searchString,position)
 * @param {String} searchString
 * @param {Number} position
 * @returns {Number}
 */
String.prototype.indexOf = function(searchString, position) {};

/**
 * @syntax sup()
 * @deprecated ECMAScript6
 * @returns {String}
 */
String.prototype.sup = function() {};

/**
 * @syntax fixed()
 * @deprecated ECMAScript6
 * @returns {String}
 */
String.prototype.fixed = function() {};

/**
 * @syntax anchor(nameAttribute)
 * @param {String} nameAttribute
 * @returns {String}
 */
String.prototype.anchor = function(nameAttribute) {};

/**
 * @syntax toUpperCase()
 * @returns {String}
 */
String.prototype.toUpperCase = function() {};

/**
 * @syntax bold()
 * @deprecated ECMAScript6
 * @returns {String}
 */
String.prototype.bold = function() {};

/**
 * @syntax strike()
 * @deprecated ECMAScript6
 * @returns {String}
 */
String.prototype.strike = function() {};

/**
 * @syntax search(regexp)
 * @param {RegExp} regexp
 * @returns {Number}
 */
String.prototype.search = function(regexp) {};

/**
 * @syntax substring(start,end)
 * @param {Number} start
 * @param {Number} end
 * @returns {String}
 */
String.prototype.substring = function(start, end) {};

/**
 * @syntax length
 * @returns {Number}
 */
String.prototype.length = new Number();

/**
 * @syntax valueOf()
 * @returns {String}
 */
String.prototype.valueOf = function() {};

/**
 * @syntax trim()
 * @returns {String}
 */
String.prototype.trim = function() {};

/**
 * @syntax toLocaleUpperCase()
 * @returns {String}
 */
String.prototype.toLocaleUpperCase = function() {};

/**
 * @syntax charAt(pos)
 * @param {Number} pos
 * @returns {String}
 */
String.prototype.charAt = function(pos) {};

/**
 * @syntax substr(start,length)
 * @param {Number} start
 * @param {Number} length
 * @returns {String}
 */
String.prototype.substr = function(start, length) {};

/**
 * @syntax constructor
 * @returns {Function}
 */
String.prototype.constructor = new Function();

/**
 * @syntax fromCharCode([char0[,char1[,...]]])
 * @param {Number} 
 * @returns {String}
 * @static
 */
String.fromCharCode = function() {};

/**
 * The static String.fromCodePoint() method returns a string created by using the specified sequence of code points.
 * @since ECMAScript6
 * @returns {String}
 */
String.fromCodePoint = function() {};

/**
 * @syntax raw(callSite, ...substitutions)
 * @syntax raw`templateString`
 * @since ECMAScript6       
 * @returns {String}
 */
String.raw = function(){};

/**
 * @syntax localeCompare(that)
 * @returns {Number}
 */
String.prototype.localeCompare = function(that) {};

/**
 * @syntax lastIndexOf(searchString,position)
 * @param {String} searchString
 * @param {Number} position
 * @returns {Number}
 */
String.prototype.lastIndexOf = function(searchString, position) {};

/**
 * @syntax toLocaleLowerCase()
 * @returns {String}
 */
String.prototype.toLocaleLowerCase = function() {};

/**
 * @syntax concat([string1[,string2[,...]]])
 * @param {String} 
 * @returns {String}
 */
String.prototype.concat = function() {};

/**
 * @syntax endsWith(searchString[, position])
 * @since ECMAScrip6
 * @returns {Boolean}
 */
String.prototype.endsWith = function() {};
/**
 * @syntax replace(searchValue,replaceValue)
 * @param {RegExp} searchValue
 * @param {String} replaceValue
 * @returns {String}
 */
String.prototype.replace = function(searchValue, replaceValue) {};

/**
 * @syntax repeat(count)
 * @since ECMAScript6
 * @param {Number} count
 * @returns {String}
 */
String.prototype.repeat = function (count) {};

/**
 * @syntax blink()
 * @deprecated ECMAScript6
 * @returns {String}
 */
String.prototype.blink = function() {};

/**
 * @syntax charCodeAt(pos)
 * @param {Number} pos
 * @returns {Number}
 */
String.prototype.charCodeAt = function(pos) {};

/**
 * @since ECMAScript
 * @syntax codePointAt(pos)
 * @param {Number} pos
 * @returns {Number}
 */
String.prototype.codePointAt = function(pos) {};

/**
 * @syntax toLowerCase()
 * @returns {String}
 */
String.prototype.toLowerCase = function() {};

/**
 * @syntax toString()
 * @returns {String}
 */
String.prototype.toString = function() {};

/**
 * @syntax split(separator,limit)
 * @param {String} separator
 * @param {Number} limit
 * @returns {Array}
 */
String.prototype.split = function(separator, limit) {};

/**
 * @syntax startsWith(searchString[, position])
 * @since ECMAScript6
 * @param {String} searchString
 * @param {Number} position
 * @returns {Boolean}
 */
String.prototype.startsWith = function (searchString, position) {};

/**
 * @syntax slice(start,end)
 * @param {Number} start
 * @param {Number} end
 * @returns {String}
 */
String.prototype.slice = function(start, end) {};

/**
 * @syntax match(regexp)
 * @returns {Array}
 */
String.prototype.match = function(regexp) {};

/**
 * @syntax normalize([form])
 * @since ECMAScript6
 * @param {String} form One of "NFC", "NFD", "NFKC", or "NFKD", specifying the Unicode Normalization Form.
 * @returns {String}
 */
String.prototype.normalize = function(form){};

/**
 * @syntax big()
 * @deprecated ECMAScript6
 * @returns {String}
 */
String.prototype.big = function() {};

/**
 * @syntax small()
 * @deprecated ECMAScript6
 * @returns {String}
 */
String.prototype.small = function() {};

/**
 * @syntax fontsize(size)
 * @deprecated ECMAScript6
 * @param {Number} size
 * @returns {Number}
 */
String.prototype.fontsize = function(size) {};

/**
 * @syntax includes(searchString[, position])
 * @since ECMAScript6
 * @param {String} searchString
 * @param {Number} position
 * @returns {Boolean}
 */
String.prototype.includes = function(searchString, position) {};

/**
 * @syntax prototype
 * @returns {Object}
 * @static
 */
String.prototype;

